| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Digikam::TagEditDlg Class Reference
Inheritance diagram for Digikam::TagEditDlg:

## Public Member Functions
| TagEditDlg (QWidget *const parent, TAlbum *const album, bool create=false)
QString | icon () const
QKeySequence | shortcut () const
QString | title () const

## Static Public Member Functions
static AlbumList | createTAlbum (TAlbum *const mainRootAlbum, const QString &tagStr, const QString &icon, const QKeySequence &ks, QMap< QString, QString > &errMap)
| Create a list of new Tag album using a list of tags hierarchies separated by ",".
static void | showtagsListCreationError (QWidget *const parent, const QMap< QString, QString > &errMap)
static bool | tagCreate (QWidget *const parent, TAlbum *const album, QString &title, QString &icon, QKeySequence &ks)
static bool | tagEdit (QWidget *const parent, TAlbum *const album, QString &title, QString &icon, QKeySequence &ks)

## Member Function Documentation

## ◆ createTAlbum()

AlbumList Digikam::TagEditDlg::createTAlbum | ( | TAlbum *const | mainRootAlbum,
|  | const QString & | tagStr,
|  | const QString & | icon,
|  | const QKeySequence & | ks,
|  | QMap< QString, QString > & | errMap
| ) |  |
| static

A hierarchy of tags is a string path of tags name separated by "/". If a hierarchy start by "/" or if mainRootAlbum is null, it will be created from root tag album, else it will be created from mainRootAlbum as parent album. 'errMap' is Map of TAlbum path and error message if tag creation failed. Return the list of created Albums.